Invarn Docs

Set a role's Invarn-only capabilities.

PUT/api/v1/servers/{guild}/staff/{role}

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$
role*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/v1/servers/string/staff/string" \  -H "Content-Type: application/json" \  -d '{    "caps": [      "warn"    ]  }'
{  "roles": [    {      "role": "string",      "name": "string",      "color": 0,      "auto": true,      "discord": [        "timeout"      ],      "caps": [        "warn"      ]    }  ]}